package com.gic.haoban.manage.api.dto;

import java.io.Serializable;

/**
 * Created by tgs on 2020/2/15.
 */
public class QywxCallBackDTO implements Serializable{
    private String suiteId;
    private String infoType;
    private String timeStamp;
    private String authCode;
    private String suiteTicket;
    private String authCorpId;
    private String userid;
    private String userName;
    /**1男  2女***/
    private Integer gender;
    private String alias;
    private String mainDepartment;
    /**
     * 是否是所在部门负责人 1 是 0 否 例 1,0,0
     */
    private Integer[] isLeaderInDept;
    private String[] department;
    private String newUserid;
    private String telephone;
    private String mobile;
    private String position;
    private Integer status;  //激活状态：1=激活或关注， 2=禁用， 4=未激活

    private Integer id;
    private String departmentName;
    private Integer parentId;
    private Long order;
    private String avatar;//头像
    /**部门创建：create_party；部门修改：update_party；部门删除：delete_party*
     * 成员创建：create_user；成员修改：update_user；成员删除：delete_user*/
    private String changeType;
    
    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getSuiteId() {
        return suiteId;
    }

    public void setSuiteId(String suiteId) {
        this.suiteId = suiteId;
    }

    public String getInfoType() {
        return infoType;
    }

    public void setInfoType(String infoType) {
        this.infoType = infoType;
    }

    public String getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

    public String getAuthCode() {
        return authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    public String getSuiteTicket() {
        return suiteTicket;
    }

    public void setSuiteTicket(String suiteTicket) {
        this.suiteTicket = suiteTicket;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Long getOrder() {
        return order;
    }

    public void setOrder(Long order) {
        this.order = order;
    }

    public String getNewUserid() {
        return newUserid;
    }

    public void setNewUserid(String newUserid) {
        this.newUserid = newUserid;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getAuthCorpId() {
        return authCorpId;
    }

    public void setAuthCorpId(String authCorpId) {
        this.authCorpId = authCorpId;
    }

    public String getChangeType() {
        return changeType;
    }

    public void setChangeType(String changeType) {
        this.changeType = changeType;
    }

    public String[] getDepartment() {
        return department;
    }

    public void setDepartment(String[] department) {
        this.department = department;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getMainDepartment() {
        return mainDepartment;
    }

    public void setMainDepartment(String mainDepartment) {
        this.mainDepartment = mainDepartment;
    }

    public Integer[] getIsLeaderInDept() {
        return isLeaderInDept;
    }

    public void setIsLeaderInDept(Integer[] isLeaderInDept) {
        this.isLeaderInDept = isLeaderInDept;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }
}
